Bug 571226 - [abrt] crash in gvfs-archive-1.4.3-6.fc12: Process /usr/libexec/gvfsd-archive was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in gvfs-archive-1.4.3-6.fc12: Process /usr/libexec/gvfsd-archive...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:6054cac3348b19eb1b11d82c8ea...
: 579429 588054 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-07 18:13 UTC by Geir
Modified: 2015-03-03 22:45 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-03 21:53:03 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (6.67 KB, text/plain)
2010-03-07 18:13 UTC, Geir
no flags Details

Description Geir 2010-03-07 18:13:29 UTC
abrt 1.0.7 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/libexec/gvfsd-archive 'file=/home/GHo/.gvfs/familylibrary fi file=/home/GHo/.gvfs/familylibrary on 192.168.1.3/Documents/en_windows_xp_professional_with_'
comment: I think this happened when I tried to burn a CD from an ISO file, but the burning continued successuflly.
component: gvfs
executable: /usr/libexec/gvfsd-archive
kernel: 2.6.32.9-67.fc12.i686
package: gvfs-archive-1.4.3-6.fc12
rating: 4
reason: Process /usr/libexec/gvfsd-archive was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

Comment 1 Geir 2010-03-07 18:13:32 UTC
Created attachment 398359 [details]
File: backtrace

Comment 2 Tomáš Bžatek 2010-03-08 13:10:40 UTC
Usually the archiving backend crashes due to invalid input data, that means corrupted ISO image in your case. In order to fix the bug, would it be possible to provide us the file?

Comment 3 Gabriel PREDA 2010-03-08 18:05:03 UTC
I downloaded http://release.seleniumhq.org/selenium-core/1.0.1/selenium-core-1.0.1.zip for the project I work...

I hope I did not delete it.
If I didn't I will upload it here.

After the crash I managed to successfully extract a folder from the archive.

Comment 4 Tomáš Bžatek 2010-03-09 10:57:34 UTC
Thanks, it really doesn't work with libarchive-2.7.1 but appears to be fixed in 2.8.0. But looking at the libarchive repository I can't find the real commit fixing this... and we can't rebase libraries in stable distro. In F13 it works like a charm. 

I can provide you a F12 scratch-build of new libarchive if desired, not sure how many other things it would break though (it's a major rebase).

Comment 5 Karel Klíč 2010-05-25 08:52:55 UTC
*** Bug 579429 has been marked as a duplicate of this bug. ***

Comment 6 Karel Klíč 2010-05-25 08:53:00 UTC
*** Bug 588054 has been marked as a duplicate of this bug. ***

Comment 7 Sylvain Arth 2010-05-29 22:56:58 UTC
Package: gvfs-archive-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


Comment
-----
I removed the archive that was still mounted

Comment 8 Randy 2010-05-31 15:18:37 UTC
Package: gvfs-archive-1.4.3-7.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. open pdf from archive mgr
2. got error msg 109 .... repeatedly
3. crash & burn

Comment 9 Bug Zapper 2010-11-03 20:31:43 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2010-12-03 21:53:03 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.